<?php

namespace Modules\Bank\Interfaces;

use Modules\Bank\Models\Bank;

interface BankRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): Bank;
    public function update(array $request, Bank $bank): Bank;
    public function destroy(Bank $bank): void;
    public function destroyAll(array $ids): void;
    public function restore(Bank $bank): void;
    public function restoreAll(array $ids): void;
}
